Bug 1997663 - Keep cinbderlib dependencies optional for 4.4.8
Summary: Keep cinbderlib dependencies optional for 4.4.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.8-1
: ---
Assignee: Michal Skrivanek
QA Contact: sshmulev
URL:
Whiteboard:
Depends On:
Blocks: 1998017
TreeView+ depends on / blocked
 
Reported: 2021-08-25 15:50 UTC by Marina Kalinin
Modified: 2021-11-17 19:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1998017 (view as bug list)
Environment:
Last Closed: 2021-09-08 14:12:12 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHV-43143 0 None None None 2021-08-26 09:35:29 UTC
Red Hat Knowledge Base (Solution) 6517611 0 None None None 2021-11-17 19:59:56 UTC
Red Hat Product Errata RHBA-2021:3460 0 None None None 2021-09-08 14:12:16 UTC
oVirt gerrit 116335 0 ovirt-engine-4.4.8.z MERGED revert cinderlib dependencies 2021-08-26 10:28:58 UTC

Description Marina Kalinin 2021-08-25 15:50:32 UTC
Due to BZ#1955375, upgrade to 4.4.8 (or clean install) is failing if OSP and Ceph repos are not configured.
This is not a correct approach. We cannot introduce such big changes in z-stream releases. 
Also - OSP repos for default RHV install sound about wrong.

I believe this either should be optional and allow later install, if we really want to consume the packages from the external repos or import the package to our RHV repos and make it trivial for our existing customers. 

Additional info:
Current steps for enabling cinderlib before the fixes in the BZ1955375:
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.4/html/installing_red_hat_virtualization_as_a_standalone_manager_with_local_databases/set_up_cinderlib

Don't we already do the same for another package from OSP repos?

Comment 1 Marina Kalinin 2021-08-25 16:03:58 UTC
Failed coresystem QE:
https://bugzilla.redhat.com/show_bug.cgi?id=1974729#c1

Comment 5 sshmulev 2021-08-30 10:40:21 UTC
Verified.

# yum deplist ./ovirt-engine-4.4.8.4-0.7.el8ev.noarch.rpm | grep -E "ceph-common|python3-cinderlib|rhvm"
result:
Before revert the following dependencies were displayed:
Last metadata expiration check: 0:08:51 ago on Thu 26 Aug 2021 06:15:18 PM IDT.
  dependency: ceph-common
   provider: ceph-common-2:14.2.11-184.el8cp.x86_64
   provider: rhvm-dependencies-4.4.1-1.el8ev.noarch
  dependency: python3-cinderlib
   provider: python3-cinderlib-1:1.0.1-1.20210310093033.199ebd4.el8ost.noarch
  dependency: rhvm = 4.4.8.4-0.7.el8ev
   provider: rhvm-4.4.8.4-0.7.el8ev.noarch

After revert:

#yum deplist ./ovirt-engine-4.4.8.5-0.4.el8ev.noarch.rpm | grep -E "ceph-common|python3-cinderlib|rhvm"
result:
Last metadata expiration check: 0:28:13 ago on Mon 30 Aug 2021 05:39:53 AM EDT.
ovirt-engine-4.4.8.5-0.4.el8ev.noarch.rpm       2.1 MB/s |  13 MB     00:06    
   provider: rhvm-dependencies-4.4.1-1.el8ev.noarch
  dependency: rhvm = 4.4.8.5-0.4.el8ev


Result as expected.

Comment 11 errata-xmlrpc 2021-09-08 14:12:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV Manager (ovirt-engine) [ovirt-4.4.8]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3460


Note You need to log in before you can comment on or make changes to this bug.